﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using System.Collections.ObjectModel;
using Microsoft.Phone.Shell;

namespace ListBoxDemo
{
    public partial class MainPage : PhoneApplicationPage
    {
        List<TodoElement> todoElementList;
        ObservableCollection<TodoElement> listTodo = new ObservableCollection<TodoElement>();

        public MainPage()
        {
            InitializeComponent();

            if (PhoneApplicationService.Current.State.ContainsKey("CurrentTodo"))
                todoTb.Text = (string)PhoneApplicationService.Current.State["CurrentTodo"];

            todoElementList = IsolatedStorageHelper.GetObject<List<TodoElement>>("ListeTodo");
            if (todoElementList == null)
                todoElementList = new List<TodoElement>();

            foreach (TodoElement todoElement in todoElementList)
            {
                listTodo.Add(todoElement);
            }
            listbox.ItemsSource = listTodo;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            listTodo.Add(new TodoElement { Todo = todoTb.Text });

            IsolatedStorageHelper.SaveObject("ListeTodo", listTodo);
        }

        private void todoTb_TextChanged(object sender, TextChangedEventArgs e)
        {
            PhoneApplicationService.Current.State["CurrentTodo"] = todoTb.Text;
        }
    }
}